@import './config/breakpoints.scss';
@import './config/font.scss';
@import './config/color.scss';
@import './config/typography.scss';

#cookie-policy-box {
	position: fixed;
	display: block;
	bottom: 0px;
	left: 0px;
	right: 0px;
	
	background-color: $color__main_background;
	
	.clearfix:after {
		visibility: hidden;
		display: block;
		font-size: 0;
		content: " ";
		clear: both;
		height: 0;
	}
	
	.align-center {
		position: relative;
		display: block;
		width: 100%;
		max-width: 800px;
		margin: 0px auto;
	}
	
	.padding {
		position: relative;
		display: block;
		padding: 20px 20px 20px 90px;
		
		@media only screen and (max-width: $break__m) { padding: 20px; }
	}
	
	.information-icon {
		position: absolute;
		display: block;
		width: 50px;
		height: 50px;
		top: 28px;
		left: 20px;
		fill: $color__information_icon;
		
		@media only screen and (max-width: $break__m) { display: none; }
		
		svg { width: 100%; height: 100%;}
	}
	
	.main-title {
		position: relative;
		display: block;
		margin: 0px 0px 5px 0px;
		
		@include typo__main_title;
	}
	
	.main-description {
		position: relative;
		display: block;
		margin: 5px 0px 20px 0px;
		
		@include typo__main_description;
	}
	
	.main-link {
		position: relative;
		display: block;
		margin: 20px 0px 20px 0px;
		
		@include typo__main_link;
	}
	
	.item-list {
		position: relative;
		display: block;
		margin: 20px 0px 20px 0px;
		
		.item {
			position: relative;
			display: block;
			float: left;
			margin-right: 20px;
			
			@media only screen and (max-width: $break__s) { float: none; }
			@include typo__item;
		}
	}
	
	.approve-button {
		position: relative;
		display: block;
		background-color: $color__approve_button_background;
		border: none;
		padding: 4px 20px;
		
		@include typo__approve_button;
	}
}